Agora RTC Objective-C API Reference Refactor

Public Types | Data Fields
BeautyOptions Struct Reference

## Public Types
enum | LIGHTENING_CONTRAST_LEVEL { LIGHTENING_CONTRAST_LOW = 0, LIGHTENING_CONTRAST_NORMAL = 1, LIGHTENING_CONTRAST_HIGH = 2 }

## Data Fields
LIGHTENING_CONTRAST_LEVEL | lighteningContrastLevel
float | lighteningLevel
float | smoothnessLevel
float | rednessLevel
float | sharpnessLevel

## Detailed Description

Image enhancement options.

## Member Enumeration Documentation

## ◆ LIGHTENING_CONTRAST_LEVEL

enum LIGHTENING_CONTRAST_LEVEL

The contrast level.

Enumerator
LIGHTENING_CONTRAST_LOW | Low contrast level.
LIGHTENING_CONTRAST_NORMAL | (Default) Normal contrast level.
LIGHTENING_CONTRAST_HIGH | High contrast level.

## Constructor & Destructor Documentation

## ◆ BeautyOptions() [1/2]

BeautyOptions | ( | LIGHTENING_CONTRAST_LEVEL | contrastLevel,
|  | float | lightening,
|  | float | smoothness,
|  | float | redness,
|  | float | sharpness
| ) |  |
| inline

## ◆ BeautyOptions() [2/2]

BeautyOptions | ( |  | ) |
| inline

## Field Documentation

## ◆ lighteningContrastLevel

LIGHTENING_CONTRAST_LEVEL lighteningContrastLevel

The contrast level, used with the `lighteningLevel` parameter. The larger the value, the greater the contrast between light and dark. See LIGHTENING_CONTRAST_LEVEL.

## ◆ lighteningLevel

float lighteningLevel

The brightness level. The value ranges from 0.0 (original) to 1.0. The default value is 0.0. The greater the value, the greater the degree of whitening.

## ◆ smoothnessLevel

float smoothnessLevel

The value ranges from 0.0 (original) to 1.0. The default value is 0.0. The greater the value, the greater the degree of skin grinding.

## ◆ rednessLevel

float rednessLevel

The redness level. The value ranges from 0.0 (original) to 1.0. The default value is 0.0. The larger the value, the greater the rosy degree.

## ◆ sharpnessLevel

float sharpnessLevel

The sharpness level. The value ranges from 0.0 (original) to 1.0. The default value is 0.0. The larger the value, the greater the sharpening degree.